summaryrefslogtreecommitdiffstats
path: root/libraries/libqcow
diff options
context:
space:
mode:
author Barry J. Grundy2014-12-16 12:53:18 +0100
committer Willy Sudiarto Raharjo2014-12-16 12:53:18 +0100
commit51b123307c9f833caa11ffb687247b9f7b359662 (patch)
tree1f308a2db6937f69ad05851e573bbb278b3d59c2 /libraries/libqcow
parenta7d0d123423becd58b495b559a5db913408f4fa1 (diff)
downloadslackbuilds-51b123307c9f833caa11ffb687247b9f7b359662.tar.gz
libraries/libqcow: Added (libYAL QEMU QCOW Image Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libqcow')
-rw-r--r--libraries/libqcow/README20
-rw-r--r--libraries/libqcow/libqcow.SlackBuild101
-rw-r--r--libraries/libqcow/libqcow.info10
-rw-r--r--libraries/libqcow/slack-desc19
4 files changed, 150 insertions, 0 deletions
diff --git a/libraries/libqcow/README b/libraries/libqcow/README
new file mode 100644
index 0000000000..7c12418d27
--- /dev/null
+++ b/libraries/libqcow/README
@@ -0,0 +1,20 @@
+libqcow (libYAL QEMU QCOW image library)
+
+Library and tooling to access the QEMU Copy-On-Write (QCOW) image format.
+
+Read supported QCOW formats:
+ version 1
+ version 2
+ version 3 (as of version 20141201)
+Supported QCOW format features:
+ compression
+ encryption
+QCOW format features not supported at the moment:
+ backing file-based snapshots
+ in-image snapshots
+Work in progress:
+ Python bindings
+ Dokan library support
+ Thread-safety in file API functions
+Planned:
+ Python 3 support
diff --git a/libraries/libqcow/libqcow.SlackBuild b/libraries/libqcow/libqcow.SlackBuild
new file mode 100644
index 0000000000..e7d720d4d4
--- /dev/null
+++ b/libraries/libqcow/libqcow.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for libqcow
+
+# Copyright 2014 Barry J. Grundy (bgrundy<at>linuxleo.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Updated v20141201 December 2014 Barry J. Grundy <bgrundy(at)linuxleo.com
+
+PRGNAM=libqcow
+VERSION=${VERSION:-20141201}
+STATUS=${STATUS:-alpha}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$STATUS-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-python \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libqcow/libqcow.info b/libraries/libqcow/libqcow.info
new file mode 100644
index 0000000000..8268f0ed5b
--- /dev/null
+++ b/libraries/libqcow/libqcow.info
@@ -0,0 +1,10 @@
+PRGNAM="libqcow"
+VERSION="20141201"
+HOMEPAGE="https://github.com/libyal/libqcow"
+DOWNLOAD="https://github.com/libyal/libqcow/releases/download/20141201/libqcow-alpha-20141201.tar.gz"
+MD5SUM="fceec4706b2c3bc0e8f05a621a0ad060"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Barry J. Grundy"
+EMAIL="bgrundy<at>linuxleo.com"
diff --git a/libraries/libqcow/slack-desc b/libraries/libqcow/slack-desc
new file mode 100644
index 0000000000..908a3bf441
--- /dev/null
+++ b/libraries/libqcow/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libqcow: libqcow (libYAL QEMU QCOW image library)
+libqcow:
+libqcow: Library and tooling to access the QEMU Copy-On-Write (QCOW) image
+libqcow: format.
+libqcow:
+libqcow: Homepage: https://github.com/libyal/libqcow
+libqcow:
+libqcow:
+libqcow:
+libqcow:
+libqcow: